View Issue Details

IDProjectCategoryView StatusLast Update
0001959SymmetricDSImprovementpublic2014-09-17 18:01
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.8 
Target Version3.6.8Fixed in Version3.6.8 
Summary0001959: Add feature where character data can be modified by an property expression in order to support "weird" character issues
DescriptionAdd feature where character data can be modified by an property expression in order to support "weird" character issues.

We have a scenario where a customer stored data with AR8MSWIN1256 character encoding in a AR8ISO8859P6 database. Oracle's thin driver doesn't provide a mechanism to override the character encoding. It will try to translate the AR8MSWIN1256 data to UTF based on a conversion to the database default encoding of AR8ISO8859P6. This new feature allows the convert method to be inserted into data extraction sql so the character encoding can be overridden.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 969795ba

2014-09-08 15:43:40

chenson

Details Diff
0001959: Add feature where character data can be modified by an property expression in order to support "weird" character issues
0001959
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: master 39b95bb0

2014-09-11 17:02:40

chenson

Details Diff
0001959: Add feature where character data can be modified by an property expression in order to support "weird" character issues
0001959
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DefaultDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AuditTableDataRouter.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DmlStatementFactory.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mysql/MySqlDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/redshift/RedshiftDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlanywhere/SqlAnywhereDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/DmlStatement.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbExport.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbFill.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterSettings.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

SymmetricDS: master e24f9ad3

2014-09-12 08:09:47

chenson

Details Diff
0001959: Add feature where character data can be modified by an property expression in order to support "weird" character issues
0001959
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mysql/MySqlDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/redshift/RedshiftDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/DmlStatement.java Diff File

SymmetricDS: master 6ab5c4ff

2014-09-15 12:44:10

chenson

Details Diff
0001959: Add feature where character data can be modified by an property expression in order to support "weird" character issues
0001959
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2014-09-08 15:39 chenson New Issue
2014-09-08 15:39 chenson Status new => assigned
2014-09-08 15:39 chenson Assigned To => chenson
2014-09-08 15:44 chenson Status assigned => resolved
2014-09-08 15:44 chenson Fixed in Version => 3.6.8
2014-09-08 15:44 chenson Resolution open => fixed
2014-09-08 16:00 chenson Changeset attached => SymmetricDS trunk r8667
2014-09-08 16:00 chenson Changeset attached => SymmetricDS 3.6 r8668
2014-09-11 17:00 chenson Changeset attached => SymmetricDS 3.6 r8681
2014-09-11 18:00 chenson Changeset attached => SymmetricDS trunk r8682
2014-09-12 09:00 chenson Changeset attached => SymmetricDS 3.6 r8683
2014-09-15 13:00 chenson Changeset attached => SymmetricDS 3.6 r8693
2014-09-15 13:00 chenson Changeset attached => SymmetricDS trunk r8694
2014-09-17 18:01 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 6ab5c4ff
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master e24f9ad3
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 39b95bb0
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 969795ba